
QGIS Application - Bug report #8800

mssql default attribute values not supported by attribute table

2013-10-08 11:27 PM - Jaemes Driver

Status: Closed

Priority: High

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17501

Description

It seems that default attribute values (SQL Server table default values) are missing in the QGIS 2.0 attribute table? (they existed in the

attribute table as at 1.8)

The default values appear (as expected) in the 'Edit feature form' for a newly created features but not in the 'attribute table view.

For example: when a feature is copied from a shapefile then pasted into the SQL Server table the default values are not utilised.

QGIS version    2.0.1-Dufour

QGIS code revision    34139bc

SQL Server 2008 R2

Here's the odbc error received (the same operation works in QGIS 1.8 -

Provider errors:

[Microsoft][ODBC SQL Server Driver][SQL Server]Cannot insert the value NULL into column 'EDIT_USER', table

'CIMS.cimsadmin.LF_DesignPackage'; column does not allow nulls. INSERT fails. [Microsoft][ODBC SQL Server Driver][SQL

Server]The statement has been terminated. QODBC3: Unable to execute statement

Associated revisions

Revision 174d112d - 2016-06-30 09:53 PM - Jürgen Fischer

    -  initialize pasted feature with default values (fixes #8800)

    -  show default values of new features in attribute table and identify

  results

History

#1 - 2014-01-30 11:34 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#2 - 2014-06-01 08:36 PM - Nathan Woodrow

- Assignee set to Nathan Woodrow

- Category changed from Digitising to Data Provider/MSSQL

#3 - 2014-10-26 09:31 AM - Jürgen Fischer

- Subject changed from QGIS 2.0 / SQL Server - Default attribute values not supported by attribute table? to Default attribute values not supported by 

attribute table?
#4 - 2016-04-26 02:33 AM - Nyall Dawson

- Subject changed from Default attribute values not supported by attribute table? to mssql default attribute values not supported by attribute table

#5 - 2016-06-30 09:27 AM - Jürgen Fischer

- Assignee deleted (Nathan Woodrow)

#6 - 2016-06-30 12:55 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"174d112da889e2301306bc298bfe9c4c1fc6c9a5".
